version 12.1
matrix drop _all
estimates clear

cap project, doinfo
if _rc==0 {
	local doasproject=1
	local pdir "`r(pdir)'"						  	    // the project's main dir.
	local dofile "`r(dofile)'"						    // do-file's stub name
  local sig {bind:{hi:[RP : `dofile'.do]}}	// a signature in notes

  project, uses("`pdir'/scratch/models_table2_tenure_fixedN.dta.gz")
  project, uses("`pdir'/scratch/models_table2_bonus_fixedN.dta.gz")
}
else {
	local doasproject=0
	local pdir "~/projects/performancepay/project"
  local dofile "gph_recruitretain"
	local sig "Not run as part of project!"
}
local thisdir "`pdir'/figures"
local scratch "`pdir'/scratch"
#delimit;

clear;
set more off;
set scheme lean1;

*Repeat the new entrants graph;
if `doasproject'==1 project, uses("`thisdir'/gph_newentrants.dta");
use `thisdir'/gph_newentrants.dta;
 line recruit_bonus recruit_tenure mupt100,
      xlabel(0 (20) 100) ylabel(-10 (10) 20) yline(0, lcolor(gray))  ylabel(, nogrid)
      xtitle("Percentile of true ability")
      ytitle("Percentage change")
        title("New hires") yline(0, lcolor(gray)) ylabel(, nogrid)
      legend(off)
      name(recruit, replace);
      
*Repeat the career length graph;
if `doasproject'==1 project, uses("`thisdir'/gph_careerlength.dta");
use `thisdir'/gph_careerlength.dta;
line davglength_bonus davglength_tenure mupt100,
        title("Average career length") yline(0, lcolor(gray)) ylabel(, nogrid)
      xtitle("Percentile of true ability") xlabel(0 (20) 100) 
      legend(label(1 "Bonus") label(2 "Tenure") ring(0) pos(3) cols(1))
      yline(0, lcolor(gray)) ylabel(, nogrid)
      name(retain, replace);

graph combine recruit retain, xcommon
      saving(`thisdir'/`dofile'.gph, replace);
if `doasproject'==1 project, creates("`thisdir'/`dofile'.gph");
      
      