version 12.1
clear *

cap project, doinfo
if _rc==0 {  
  local doasproject=1
	local pdir "`r(pdir)'"						  	    // the project's main dir.
	local dofile "`r(dofile)'"						    // do-file's stub name
  local sig {bind:{hi:[RP : `dofile'.do]}}	// a signature in notes
  local doasproject=1
  
  project, uses(varygraphs.dta)
}
else {
	local pdir "~/projects/performancepay/project"
  local dofile "optimalpolicies"
	local sig "Not run as part of project!"
  local doasproject=0
}
local thisdir "`pdir'/figures"
local scratch "`pdir'/scratch"

use `thisdir'/varygraphs.dta

*Identify cells for which optima will be calculated;
 gen tablerow=1 if policytype=="bonussize"
 replace tablerow=2 if policytype=="bonusshare"
 replace tablerow=3 if policytype=="frtenured"
 replace tablerow=4 if policytype=="frfiredavgva"
 replace tablerow=5 if policytype=="frfired"
 replace tablerow=6 if policytype=="frfiredoptimal"
 
*Find optimal policies;
 gsort tablerow _parmset -toteffect
 by tablerow _parmset: keep if _n==1
 tempfile base
 save `base'
 
*Now do again for optimal tenure policies by tenure date
use if policytype=="frtenured" using `thisdir'/varygraphs.dta
gen tablerow=100+_tenuredate
gsort tablerow _parmset -toteffect
by tablerow _parmset: keep if _n==1
replace policytype=policytype+string(_tenuredate)

 append using `base'
  
*Lay out table
 gen nrows=3+(tablerow==3)
 expand nrows
 sort tablerow _parmset
 by tablerow _parmset: gen subrow=_n - (_N==4)
 label define subrow_l 0 "Tenure date" 1 "Policy size" 2 "Dsalary" 3 "Doutput"
 label values subrow subrow_l
 
 gen entry=policy if subrow==1 & (tablerow<=3 | tablerow>=100)
 replace entry=frfired_cumul if subrow==1 & tablerow>=4 & tablerow<100
 replace entry=(policywage_mean/basewage_mean)-1 if subrow==2
 replace entry=toteffect if subrow==3
 replace entry=_tenuredate if subrow==0

 sort tablerow subrow
 keep tablerow subrow policytype _parmset entry



 reshape wide entry, i(tablerow subrow) j(_parmset)
 order tablerow policytype subrow entry0 entry1 entry2
 format entry? %12.0g
 
 log using `thisdir'/`dofile'_table.txt, text replace name(tableout)
 list if tablerow<., clean noobs
 log close tableout
 

if `doasproject'==1 project, creates("`thisdir'/`dofile'_table.txt")
