#delimit;
cap program drop sub_findthresholds;
program define sub_findthresholds, rclass;
  syntax, ctype(string) gridpts(real) sigma_mu(real) sigma_e(real) maxt(real) 
          expadjust(real) basehazard(string) var_e(real) var_mu(real) 
          [frbonus(real 0) frfired(real 0) frtenured(real 1) tenuredate(real 1) expeffect(string) firerule(string) firemat(name) *];

  if `"`ctype'"'==`"bonus"' {;
    *Compute threshold for getting the award;
     qui {;
     	 drop _all;
     	 set obs `gridpts';
     	 gen muptile=_n/(_N+1);
     	 gen mu=`sigma_mu'*invnorm(muptile);
     	 expand `gridpts';
     	 sort muptile;
     	 by muptile: gen eptile=_n/(_N+1);
     	 gen e=`sigma_e'*sqrt(2)*invnorm(eptile);
     	 expand `maxt';
     	 sort muptile eptile;
     	 by muptile eptile: gen exper=_n-1;
     	 gen signal=mu+e;
     	 if `expadjust'==0 replace signal=signal+`expeffect';
     	 su signal, meanonly;
     	 replace signal=r(min) if exper==0;
     	 gen surv=1-(`basehazard');
       gen lnsurv=ln(surv);
       bysort muptile eptile (exper): gen lnSurv=sum(lnsurv); 
       bysort muptile eptile (exper): gen Surv=exp(lnSurv[_n-1]);
       replace Surv=1 if exper==0;
       drop surv lnsurv lnSurv;
     	 local ptile=100*(1-`frbonus');
     	 _pctile signal [pw=Surv], p(`ptile');
     	 local bonusthreshold=r(r1);
     	 local baseparms `"`baseparms' bonusthreshold(`bonusthreshold')"';
     };
     di "bonusthreshold = `bonusthreshold'";
     return scalar bonusthreshold=`bonusthreshold';
     return local parmstring "bonusthreshold(`bonusthreshold')";
   };
   if `"`ctype'"'==`"fire"' | `"`ctype'"'==`"firemanip"' {;
   	 *Compute threshold for getting fired;
   	 qui {;
       drop _all;
  	    set obs `gridpts';
     	 gen muptile=_n/(_N+1);
     	 gen mu=`sigma_mu'*invnorm(muptile);
     	 expand `gridpts';
     	 sort muptile;
     	 by muptile: gen eptile=_n/(_N+1);
     	 expand `maxt';
     	 sort muptile eptile;
     	 by muptile eptile: gen exper=_n-1;
     	 gen avgva=mu + sqrt(`var_e'/exper)*invnorm(eptile) if exper>0;
         replace avgva=0 if exper==0;
     	 gen dprior=avgva*`var_mu'/(`var_mu' + (`var_e'/exper)) if exper>0;
     	 replace dprior=0 if exper==0;
     	 gen surv=1-(`basehazard');
       gen lnsurv=ln(surv);
       bysort muptile eptile (exper): gen lnSurv=sum(lnsurv); 
       bysort muptile eptile (exper): gen Surv=exp(lnSurv[_n-1]);
       replace Surv=1 if exper==0;
     	 local pctfire=100*`frfired';
     	 if `"`firerule'"'==`"posterior"' {;
     	   _pctile dprior [pw=Surv] if exper>0, p(`pctfire');
       	 local firethreshold=r(r1);
     	 };
    	 else if `"`firerule'"'==`"avgva"' {;
    	 	 _pctile avgva [pw=Surv] if exper>0, p(`pctfire');
       	 local firethreshold=r(r1);
       };
    	 else if `"`firerule'"'==`"matrix"' {;
    	 	 tempvar fire;
    	 	 gen `fire'=.;
    	 	 forvalues t=1/`maxt' {;
    	 	 	 local firethresh`t'=el(`firemat', `t', 1);
    	 	 	 replace `fire'=(avgva<`firethresh`t'') if exper==`t'-1;
    	 	 };
    	 	 su `fire' [aw=Surv] if exper>0, meanonly;
    	 	 local firethreshold=r(mean);
    	 };
     	 local baseparms `"`baseparms' firethreshold(`firethreshold')"';
     };
     di "firethreshold = `firethreshold'";
     return scalar firethreshold=`firethreshold';
     return local parmstring "firethreshold(`firethreshold')";
   };
   if `"`ctype'"'==`"tenure"' {;
   	 *Compute threshold for getting tenure;
  	 local firethreshold=invnorm(1-`frtenured')*sqrt(`var_mu' + (`var_e'/`tenuredate'));
     di "fire/ tenure threshold = `firethreshold'";
     return scalar firethreshold=`firethreshold';
     return local parmstring "firethreshold(`firethreshold')";
   };
end;
