#delimit;

cap program drop sub_makeinitialgrid;
program define sub_makeinitialgrid;
  syntax, gridpts(real) var_prior0(real) maxt(real) priorvar_1(real) var_e(real) var_mu(real)
          ctype(string) [expeffect(string) *];

 if inlist(`"`ctype'"', `"fire"', `"tenure"', `"ppay"') {;
   **Make a grid of initial pvt info - signal values, evenly spaced in the distribution;
    drop _all;
    set obs `gridpts';
    local d=`gridpts'+1;
    gen g_pvtinfo=_n;
    gen pvtinfo=invnorm(g_pvtinfo/`d')*sqrt(`var_prior0');
    expand `gridpts';
    sort g_pvtinfo;
    by g_pvtinfo: gen g_avgsig=_n;
    forvalues t=2/`maxt' {;
    	 gen avgsig`t'=invnorm(g_avgsig/`d')*sqrt(`priorvar_1' + (`var_e'/(`t'-1)));
    	 gen avgva`t'=avgsig`t'+pvtinfo; *Avg. VA on entering period t;
    	 gen dprior`t'=avgva`t'*`var_mu'/(`var_mu' + (`var_e'/(`t'-1)));
    	 gen prior`t'=pvtinfo + avgsig`t'*`priorvar_1'/(`priorvar_1' + (`var_e'/(`t'-1)));
    };
    gen prior1=pvtinfo;
    gen dprior1=0;
    gen avgsig1=0;
    gen avgva1=pvtinfo;
    sort g_pvtinfo g_avgsig;
    *expand 2;
    *sort pvtptile sigptile;
    *by pvtptile sigptile: gen byte firedyet=(_n==2);
    *sort pvtptile sigptile firedyet;
 };
 else if inlist(`"`ctype'"', `"bonus"') {;
   **Make a grid of prior - previous signal values, evenly spaced in the distribution;
    forvalues t=2/`maxt' {;
    	 local s=`t'-1;
    	 local priorvar_`t'=1/( (1/`priorvar_`s'') + (1/`var_e'));
    };
    forvalues t=1/`maxt' {;
      local varprior_`t'=`var_mu'-`priorvar_`t'';
    	 local priorsd_`t'=sqrt(`priorvar_`t'');
    	 local sdprior_`t'=sqrt(`varprior_`t'');
    };
    drop _all;
    set obs `gridpts';
    local d=`gridpts'+1;
    gen g_prior=_n;
    expand `gridpts';
    sort g_prior;
    by g_prior: gen g_lastsig=_n;
    *Prior(t) is prior going into period t;
    gen prior1=invnorm(g_prior/`d')*`sdprior_1';
    gen exper=0;
    gen exppart1=`expeffect';
    forvalues t=2/`maxt' {;
    	 gen prior`t'=invnorm(g_prior/`d')*`sdprior_`t'';
    	 local s=`t'-1;
    	 gen sig`s'=invnorm(g_lastsig/`d')*sqrt(`priorvar_`t''+`var_e');
    	 gen va`s'=prior`t'+sig`s';
      replace exper=`t'-1;
      gen exppart`t'=`expeffect';
    };
    *gen sig0=prior1;
    gen exppart0=exppart1;
    gen va0=0;
    sort g_prior g_lastsig;
 };
 compress;

end;
