#delimit;

cap program drop sub_valfn;
program define sub_valfn, rclass;
   syntax, crra(real) etanext(real) next(real) basehazard(real) cnext(real) maxwage(real) 
           crra_type(string) discount(real) 
           [extracollapse(varlist) collapseby(varlist) lastperiod
            fixedcost(real 0)];
   *Syntax checking;
    if `"`crra_type'"'~=`"orig"' & `"`crra_type'"'~=`"cashinhand"' {;
    	if `"`crra_type'"'==`"none"' {;
    		if `crra'~=0 {;
    			noi di "Invalid combination of crra_type=none & crra != 0";
    			err;
    	  };
    	};
    	else {;
    		noi di "ERROR: Invalid crra_type";
    		err;
    	};
    };
 *Special code for last period;
  if "`lastperiod'"=="lastperiod" {;
    if `"`crra_type'"'==`"orig"' {;
    	if abs(`crra'-1)>0.01 gen valfn_`next'=wage_policy^(1-`crra');
    	else gen valfn_`next'=ln(wage_policy);
    };
    else if `"`crra_type'"'==`"cashinhand"' {;
    	if abs(`crra'-1)>0.01 gen valfn_`next'=2+(1/(1-`crra'))*(wage_policy^(1-`crra'));
    	else gen valfn_`next'=2+ln(wage_policy)+1;
    };
    else if `"`crra_type'"'==`"none"' {;
    	gen valfn_`next'=2+wage_policy;
    };
    if `"`collapseby'"'~=`""' collapse (mean) valfn_`next' `extracollapse', by(`collapseby') fast;
    if `"`crra_type'"'==`"orig"' {;
    	if abs(`crra'-1)>0.01 replace valfn_`next'=valfn_`next'^(1/(1-`crra'));
    	else replace valfn_`next'=exp(wage_policy);
    };
  };
 *Now the usual case, where we are at t<T;
  else {;
     local t=`next'-1; 
     *Calculate certainty-equivalent of next periods utility, taking account of possibility of exit
     *to outside option next period.;
      if `"`crra_type'"'==`"none"' {;
       if abs(`eta'-1)>0.01 {;
         gen continuationval=valfn_`next'  
                            +(`basehazard'/(1-`etanext'))*(`cnext')*(`maxwage'^(1-`etanext'))
           	                -(`basehazard'/(1-`etanext'))*(valfn_`next'^(1-`etanext'))*(`cnext'^`etanext')
         	                ;
       };
       else {;
         	gen continuationval=valfn_`next'
         	                   +`basehazard'*`etanext'*(`cnext'^`etanext')*(ln(`maxwage'*`cnext') - ln(valfn_`next'))
         	                   ;
       };
       gen valfn_`t'=(2+wage_policy + (1-`discount')*continuationval);
       if `"`collapseby'"'~=`""' collapse (mean) valfn_`t' `extracollapse', by(`collapseby') fast;
       cap drop continuationval;
      };
      else if `"`crra_type'"'==`"orig"' {;
       *Here, I assume V_t-1 = (E[(w_t-1 + delta*max(V_t, outside))^(1-rho)])^(1/(1-rho));
       if abs(`crra'-1)>0.01 {;
       	if abs(`crra'+`eta'-1)>0.01 {;
       		*Normal case -- risk aversionnot equal to one, no dividing by zero;
         	gen ce_continuationval=(valfn_`next'^(1-`crra')
         	                       +(`basehazard'*(1-`crra')/(1-`etanext'-`crra'))*(`cnext'^(1-`crra'))*(`maxwage'^(1-`crra'-`etanext'))
         	                       -(`basehazard'*(1-`crra')/(1-`etanext'-`crra'))*(valfn_`next'^(1-`crra'-`etanext'))*(`cnext'^`etanext')
         	                       )^(1/(1-`crra'));
         };
         else {;
         	*Risk aversion not equal to one, but potential divide-by-zero problems;
         	**CHECK THIS -- SHOULDNT CRRA SHOW UP SOMEWHERE?;
         	gen ce_continuationval=(valfn_`next'^(1-`crra')
         	                       +`basehazard'*`etanext'*(`cnext'^`etanext')*(ln(`maxwage'*`cnext') - ln(valfn_`next'))
         	                       )^(1/(1-`crra'));
         };
         gen ra_thisperiod=(wage_policy + (1-`discount')*ce_continuationval)^(1-`crra');
         if `"`collapseby'"'~=`""' collapse (mean) ra_thisperiod `extracollapse', by(`collapseby') fast;
         gen valfn_`t'=ra_thisperiod^(1/(1-`crra'));
       };
       else {;
       	if abs(`crra'+`eta'-1)>0.01 {;
       		*Risk aversion = 1 (log utility), but eta not equal to zero;
         	gen ce_continuationval=exp(ln(valfn_`next')
         	                          -(`basehazard'/`etanext')*(`maxwage'^(1-`etanext'))
         	                          +(`basehazard'/`etanext')*((`cnext'/valfn_`next')^`etanext')
         	                          );
         };
         else {;
       		*Risk aversion = 1 (log utility), and eta equal to zero -- offer distribution is degenerate;
         	gen ce_continuationval=exp((1-`basehazard')*ln(valfn_`next') + `basehazard'*ln(`maxwage'*`cnext'));
         };
         gen ra_thisperiod=ln(wage_policy + (1-`discount')*ce_continuationval);
         if `"`collapseby'"'~=`""' collapse (mean) ra_thisperiod `extracollapse', by(`collapseby') fast;
         gen valfn_`t'=exp(ra_thisperiod);
       };
       cap drop ra_thisperiod ;
       cap drop ce_continuationval;
      };
      else if `"`crra_type'"'==`"cashinhand"' {;
       *Here, I assume V_t-1 = (1/(1-rho))E[w_t-1^(1-rho)] + delta*max(V_t, outside);
       *This is what you get with standard vN-M preferences and no saving/borrowing;
       *Outside is interpreted as the continuation value of the outside job -- as the PDV of u(w), not of w;
       *NOTE:  I DEFINE u(w) = 2 + traditional CRRA utility -- this ensures that u(w)>0
       * for any w>0.5 when rho=3.;
       if abs(`eta'-1)>0.01 {;
       	*Normal case -- risk aversionnot equal to one, no dividing by zero;
         gen continuationval=valfn_`next'
                             +(`basehazard'/(1-`etanext'))*(`cnext')*(`maxwage'^(1-`etanext'))
                             -(`basehazard'/(1-`etanext'))*(valfn_`next'^(1-`etanext'))*(`cnext'^`etanext')
                             ;
       };
       else {;
        *Integral comes out different if etanext=1;
         gen continuationval=valfn_`next'*(1 + ln(`maxwage'*`cnext'/valfn_`next'));
       };
       if abs(`crra'-1)>0.01 {;
       	*Normal risk aversion;
         gen uwage=2+(1/(1-`crra'))*(wage_policy^(1-`crra'));
       };
       else {;
       	*Risk aversion = 1 (log utility -- u(w) = ln(w) + 1);
       	 gen uwage=2+ln(wage_policy) + 1;
       };
       if `"`collapseby'"'~=`""' collapse (mean) uwage continuationval `extracollapse', by(`collapseby') fast;
       gen valfn_`t'=uwage + (1-`discount')*continuationval;
       drop uwage continuationval;
      };
  };
end;
