version 12.1
matrix drop _all
estimates clear

cap project, doinfo
if _rc==0 {
	local doasproject=1
	local pdir "`r(pdir)'"						  	    // the project's main dir.
	local dofile "`r(dofile)'"						    // do-file's stub name
  local sig {bind:{hi:[RP : `dofile'.do]}}	// a signature in notes

  project, original("`pdir'/subroutines/project_includesubroutines.do")
  project, original("`pdir'/learningmodels/learningmodel_tenure.do")
  project, uses("`pdir'/scratch/drawsamp.dta")
}
else {
	local doasproject=0
	local pdir "~/projects/performancepay/project"
  local dofile "vary_budget"
	local sig "Not run as part of project!"
}
run `pdir'/subroutines/project_includesubroutines.do
run `pdir'/learningmodels/learningmodel_tenure.do
local thisdir "`pdir'/varycontracts"

#delimit;


*Set parameters that will be used for all calls by this program;
 local tableout `"`thisdir'/`dofile'_table.txt"';
 local parms0 `"ctype("tenure") elast_entry(1) elast_exit(1) fireeffect("(-0.01*min(exper,10))") h(0.1) crra(0) crra_type("none")"';
 local parms1 `"ctype("tenure") elast_entry(0.50) elast_exit(0.5) fireeffect("-0.15") h(0.05) crra(3) crra_type("cashinhand") "';
 local parms2 `"ctype("tenure") elast_entry(1.5) elast_exit(1.5) fireeffect("(-0.01*min(exper,5))") h(0.25) crra(0) crra_type("none")"';
 local simulparms `"gridpts(149) simulobs(200000) criteria(totcost) searchwage store tol(0.00005)"';

 *local simulparms `"gridpts(99) simulobs(100000) criteria(totcost) searchwage store tol(0.001)"';

*Make a matrix of fr tenured / starting wage;
*Columns: fr tenured, starting wage, parameter set, budget multiplier;
 matrix ftenured=(
          .4,   1.533248782157897949,          0,       1.05 \  
        .425,   1.492858052253723145,          0,       1.05 \  
         .45,   1.455468535423278809,          0,       1.05 \  
        .475,   1.421250581741333008,          0,       1.05 \  
          .5,    1.38910984992980957,          0,       1.05 \  
        .525,   1.359101533889770508,          0,       1.05 \  
         .55,   1.331182599067687988,          0,       1.05 \  
        .575,   1.305147409439086914,          0,       1.05 \  
          .6,   1.281035184860229492,          0,       1.05 \  
        .625,   1.258517026901245117,          0,       1.05 \  
         .65,    1.23695075511932373,          0,       1.05 \  
        .675,   1.216624140739440918,          0,       1.05 \  
          .7,   1.197229266166687012,          0,       1.05 \  
        .725,   1.178575634956359863,          0,       1.05 \  
         .75,   1.161398410797119141,          0,       1.05 \  
        .775,   1.144557595252990723,          0,       1.05 \  
          .8,   1.128691673278808594,          0,       1.05 \  
        .825,   1.113327503204345703,          0,       1.05 \  
         .85,   1.098859190940856934,          0,       1.05 \  
        .875,   1.085195779800415039,          0,       1.05 \  
          .9,   1.071750640869140625,          0,       1.05 \  
        .925,    1.05863034725189209,          0,       1.05 \  
         .95,   1.046256661415100098,          0,       1.05 \  
        .975,   1.034143924713134766,          0,       1.05 \  
        .999,   1.023338913917541504,          0,       1.05 \  
          .4,   3.739909887313842773,          1,       1.05 \  
        .425,   3.444118022918701172,          1,       1.05 \  
         .45,   3.176105022430419922,          1,       1.05 \  
        .475,   2.930685758590698242,          1,       1.05 \  
          .5,   2.716326713562011719,          1,       1.05 \  
        .525,     2.5212249755859375,          1,       1.05 \  
         .55,    2.34394526481628418,          1,       1.05 \  
        .575,   2.188955545425415039,          1,       1.05 \  
          .6,   2.048974990844726562,          1,       1.05 \  
        .625,   1.923275589942932129,          1,       1.05 \  
         .65,   1.812103509902954102,          1,       1.05 \  
        .675,   1.711436271667480469,          1,       1.05 \  
          .7,   1.621229171752929688,          1,       1.05 \  
        .725,   1.539440751075744629,          1,       1.05 \  
         .75,   1.467151284217834473,          1,       1.05 \  
        .775,   1.402743220329284668,          1,       1.05 \  
          .8,   1.343986034393310547,          1,       1.05 \  
        .825,   1.291587471961975098,          1,       1.05 \  
         .85,   1.244992971420288086,          1,       1.05 \  
        .875,    1.20255589485168457,          1,       1.05 \  
          .9,   1.163888216018676758,          1,       1.05 \  
        .925,   1.128192305564880371,          1,       1.05 \  
         .95,   1.096019744873046875,          1,       1.05 \  
        .975,   1.066880583763122559,          1,       1.05 \  
        .999,   1.041863679885864258,          1,       1.05 \  
          .4,   1.374239206314086914,          2,       1.05 \  
        .425,   1.345835328102111816,          2,       1.05 \  
         .45,   1.320060014724731445,          2,       1.05 \  
        .475,   1.296160459518432617,          2,       1.05 \  
          .5,    1.27390897274017334,          2,       1.05 \  
        .525,   1.253165125846862793,          2,       1.05 \  
         .55,   1.233907341957092285,          2,       1.05 \  
        .575,   1.215588927268981934,          2,       1.05 \  
          .6,   1.198837518692016602,          2,       1.05 \  
        .625,   1.182580947875976562,          2,       1.05 \  
         .65,   1.167612671852111816,          2,       1.05 \  
        .675,   1.153042912483215332,          2,       1.05 \  
          .7,   1.139645934104919434,          2,       1.05 \  
        .725,   1.126668453216552734,          2,       1.05 \  
         .75,   1.114158391952514648,          2,       1.05 \  
        .775,   1.102550506591796875,          2,       1.05 \  
          .8,   1.091508746147155762,          2,       1.05 \  
        .825,   1.080524682998657227,          2,       1.05 \  
         .85,   1.070180654525756836,          2,       1.05 \  
        .875,   1.060297846794128418,          2,       1.05 \  
          .9,   1.050800800323486328,          2,       1.05 \  
        .925,   1.041625738143920898,          2,       1.05 \  
         .95,   1.032884120941162109,          2,       1.05 \  
        .975,   1.024166464805603027,          2,       1.05 \  
        .999,   1.016439437866210938,          2,       1.05 );  
matrix colnames ftenured=frtenured startwage parmset budgetmult;

*Prepare the sample that will be used throughout;
 tempfile samp0 samp1 samp2;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms0' `simulparms';
 save `samp0', ;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms1' `simulparms';
 save `samp1', ;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms2' `simulparms';
 save `samp2', ;

*Loop over models.  ;
 	 local j=rowsof(ftenured);
 	 estimates clear;
   forvalues m=1/`j' {;
 	   local f=el(ftenured, `m', 1);
 	   local w=el(ftenured, `m', 2);
 	   local p=el(ftenured, `m', 3);
 	   local b=el(ftenured, `m', 4);
 	   local b100=round(`b'*100);
 	   runmodel using `samp`p'', name("model`m'") frtenured(`f') startwage(`w') criterionratio(`b') 
 	                           `parms`p'' `simulparms' ;
     matrix oneresult=e(b)';
     matrix colnames oneresult="model`m'";
     if `m'==1 matrix results=e(b)';
     else matrix results = results, e(b)';
     local modellist "`modellist' model`m'";
     esttab `modellist' using `tableout', replace not plain;

     matrix allresults=ftenured[1..`m', 1..4]' \ results;
     matrix list allresults;   
     matrix results2data=allresults';
     drop _all;
     set obs `m';
     svmat results2data, names(eqcol);
     save `thisdir'/tmp_`dofile'.dta, replace;
   };

 save `thisdir'/`dofile'.dta, replace;
 !\rm `thisdir'/tmp_`dofile'.dta;                                                                     

 gen dnteach=ln(policynteach/basenteach);
 list _parmset _frtenured _budgetmult _startwage policybasewage policyproductivity_mean dnteach policyiterations;

if `doasproject'==1 {;
	project, creates("`tableout'");                                                
  project, creates("`thisdir'/`dofile'.dta");                                       
};
