version 12.1
matrix drop _all
estimates clear

cap project, doinfo
if _rc==0 {
	local doasproject=1
	local pdir "`r(pdir)'"						  	    // the project's main dir.
	local dofile "`r(dofile)'"						    // do-file's stub name
  local sig {bind:{hi:[RP : `dofile'.do]}}	// a signature in notes

  project, original("`pdir'/subroutines/project_includesubroutines.do")
  project, original("`pdir'/learningmodels/learningmodel_fire.do")
  project, uses("`pdir'/scratch/drawsamp.dta")
}
else {
	local doasproject=0
	local pdir "~/projects/performancepay/project"
  local dofile "vary_frfiredavgva"
	local sig "Not run as part of project!"
}
run `pdir'/subroutines/project_includesubroutines.do
run `pdir'/learningmodels/learningmodel_fire.do
local thisdir "`pdir'/varycontracts"

#delimit;

 
*Set parameters that will be used for all calls by this program;
 local tableout `"`thisdir'/`dofile'_table.txt"';
 local extratableout `"`thisdir'/`dofile'_extratable.txt"';
 local parms0 `"ctype("fire") firerule("avgva") elast_entry(1) elast_exit(1) fireeffect("(-0.01*min(exper,10))") h(0.1) crra(0) crra_type("none")"';
 local parms1 `"ctype("fire") firerule("avgva") elast_entry(0.50) elast_exit(0.5) fireeffect("-0.15") h(0.05) crra(3) crra_type("cashinhand") "';
 local parms2 `"ctype("fire") firerule("avgva")  elast_entry(1.5) elast_exit(1.5) fireeffect("(-0.01*min(exper,5))") h(0.25) crra(0) crra_type("none")"';
 local simulparms `"gridpts(149) simulobs(200000)  criteria(totcost) searchwage store tol(0.00005)"';

* local simulparms `"gridpts(99) simulobs(100000)  criteria(totcost) searchwage store tol(0.005)"';

*Make a matrix of fr fired / starting wage;
 matrix frfired= (
        0.02,      1.045940995216369629   ,         0 \  
        0.04,       1.07365262508392334   ,         0 \  
        0.06,      1.098942995071411133   ,         0 \  
        0.08,       1.12239837646484375   ,         0 \  
        0.10,      1.145293116569519043   ,         0 \  
        0.12,      1.168292045593261719   ,         0 \  
        0.14,      1.190983414649963379   ,         0 \  
        0.16,      1.214581012725830078   ,         0 \  
        0.18,      1.238292813301086426   ,         0 \  
        0.20,      1.262037277221679688   ,         0 \  
        0.22,       1.28704535961151123   ,         0 \  
        0.24,      1.312181711196899414   ,         0 \  
        0.26,      1.338272213935852051   ,         0 \  
        0.28,       1.36544501781463623   ,         0 \  
        0.30,      1.393550515174865723   ,         0 \  
        0.32,      1.422310233116149902   ,         0 \  
        0.34,      1.453173160552978516   ,         0 \  
        0.36,       1.48465573787689209   ,         0 \  
        0.38,      1.517709255218505859   ,         0 \  
        0.40,      1.552148699760437012   ,         0 \  
        0.02,       1.10795748233795166  ,         1 \  
        0.04,      1.184217453002929688  ,         1 \  
        0.06,      1.261574864387512207  ,         1 \  
        0.08,      1.342464327812194824  ,         1 \  
        0.10,       1.42832338809967041  ,         1 \  
        0.12,      1.520429015159606934  ,         1 \  
        0.14,      1.621008396148681641  ,         1 \  
        0.16,      1.731382131576538086  ,         1 \  
        0.18,      1.850073099136352539  ,         1 \  
        0.20,      1.978763461112976074  ,         1 \  
        0.22,      2.118973016738891602  ,         1 \  
        0.24,       2.26978754997253418  ,         1 \  
        0.26,      2.433509111404418945  ,         1 \  
        0.28,      2.608583450317382812  ,         1 \  
        0.30,      2.793529272079467773  ,         1 \  
        0.32,      2.999346494674682617  ,         1 \  
        0.34,      3.214863061904907227  ,         1 \  
        0.36,      3.444873571395874023  ,         1 \  
        0.38,      3.691929101943969727  ,         1 \  
        0.40,      3.955238819122314453  ,         1 \
        0.02,      1.032680392265319824   ,         2 \  
        0.04,      1.052210807800292969   ,         2 \  
        0.06,      1.069788336753845215   ,         2 \  
        0.08,      1.086451053619384766   ,         2 \  
        0.10,      1.102639317512512207   ,         2 \  
        0.12,      1.118718266487121582   ,         2 \  
        0.14,      1.134650468826293945   ,         2 \  
        0.16,      1.151026725769042969   ,         2 \  
        0.18,      1.167487144470214844   ,         2 \  
        0.20,      1.184075593948364258   ,         2 \  
        0.22,      1.201090455055236816   ,         2 \  
        0.24,      1.218605399131774902   ,         2 \  
        0.26,      1.236611485481262207   ,         2 \  
        0.28,      1.255186796188354492   ,         2 \  
        0.30,      1.274143338203430176   ,         2 \  
        0.32,      1.294068813323974609   ,         2 \  
        0.34,      1.314580559730529785   ,         2 \  
        0.36,      1.336249589920043945   ,         2 \  
        0.38,      1.358831048011779785   ,         2 \  
        0.40,      1.382118463516235352   ,         2 );  
        
matrix extrafrfired=(
        0.25,      1.325176000595092773  ,         0 \  
        0.27,      1.351571321487426758   ,         0 \  
        0.29,      1.379392504692077637   ,         0 \  
        0.01,      1.066880941390991211  ,         1 \  
        0.03,      1.146107912063598633  ,         1 \  
        0.05,      1.222714781761169434  ,         1 \  
        0.41,      1.394230961799621582   ,         2 \  
        0.42,       1.40682518482208252   ,         2 \  
        0.43,      1.419682979583740234   ,         2 \  
        0.44,      1.432565808296203613   ,         2 \  
        0.45,      1.445908546447753906   ,         2 \  
        0.46,      1.459845900535583496   ,         2 \  
        0.47,      1.474011540412902832   ,         2 \  
        0.48,       1.48850703239440918   ,         2 \  
        0.49,      1.503780007362365723   ,         2 \  
        0.50,      1.519122958183288574   ,         2 );

*Want to add:  60/80 for parmset 0 (ends at frfired=0.4), 73/80 for parmset 2 (ends at frfired=0.5);
*Cumul share 60 corresponds to immediate share 37, 73 to 51, 80 to 60;
matrix extrafrfired2=(
        0.41, 1.570365428924560547, 0 \
        0.42, 1.588526487350463867, 0 \
        0.43, 1.607118964195251465, 0 \
        0.44, 1.626888036727905273, 0 \
        0.45, 1.646848797798156738, 0 \
        0.46, 1.667355537414550781, 0 \
        0.47, 1.688971519470214844, 0 \
        0.48, 1.710963964462280273, 0 \
        0.49, 1.733324885368347168, 0 \
        0.50, 1.756070852279663086, 0 \
        0.51, 1.780264616012573242, 0 \
        0.52, 1.805097699165344238, 0 \
        0.53, 1.830952644348144531, 0 \
        0.54, 1.857332110404968262, 0 \
        0.55, 1.884502410888671875, 0 \
        0.56, 1.912855625152587891, 0 \
        0.57, 1.942630767822265625, 0 \
        0.58, 1.972975373268127441, 0 \
        0.59, 2.005173921585083008, 0 \
        0.60, 2.038386106491088867, 0 \
        0.51, 1.535359382629394531, 2 \
        0.52, 1.551833748817443848, 2 \
        0.53, 1.569167971611022949, 2 \
        0.54, 1.586646795272827148, 2 \
        0.55, 1.604925632476806641, 2 \
        0.56, 1.623275876045227051, 2 \
        0.57, 1.643287181854248047, 2 \
        0.58,  1.66324460506439209, 2 \
        0.59, 1.684308648109436035, 2 \
        0.60, 1.706730961799621582, 2 );        

matrix frfired = frfired \ extrafrfired \ extrafrfired2;
matrix colnames frfired = frfired startwage parmset;

*Prepare the sample that will be used throughout;
 tempfile samp0 samp1 samp2;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms0' `simulparms';
 save `samp0', ;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms1' `simulparms';
 save `samp1', ;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms2' `simulparms';
 save `samp2', ;

*Loop over models;
 local j=rowsof(frfired);
 forvalues m=1/`j' {;
 	 local b=el(frfired, `m', 1);
 	 local w=el(frfired, `m', 2);
 	 local p=el(frfired, `m', 3);
   runmodel using `samp`p'', name("model`p'_`m'") frfired(`b') startwage(`w') `parms`p'' `simulparms';
   matrix oneresult=e(b)';
   matrix colnames oneresult="model`p'_`m'";
   if `m'==1 matrix results=e(b)';
   else matrix results = results, e(b)';
   local modellist "`modellist' model`p'_`m'";
   esttab `modellist' using `tableout', replace not plain;

   matrix allresults=frfired[1..`m', 1..3]' \ results;
   matrix list allresults;   
   matrix results2data=allresults';
   drop _all;
   set obs `m';
   svmat results2data, names(eqcol);
   save `thisdir'/tmp_`dofile'.dta, replace;
};
 matrix allresults=frfired' \ results;
 matrix list allresults;   
 save `thisdir'/`dofile'.dta, replace;

 sort _parmset _frfired;
 if "`sig'"~="" note: "`sig'";
 save `thisdir'/`dofile'.dta, replace;
 !\rm `thisdir'/tmp_`dofile'.dta;                                                                     
 gen dnteach=ln(policynteach/basenteach);
 list _parmset _frfired _startwage policybasewage policyproductivity_mean dnteach policyiterations;

if `doasproject'==1 project, creates("`tableout'");
if `doasproject'==1 project, creates("`thisdir'/`dofile'.dta");
