version 12.1
matrix drop _all
estimates clear

cap project, doinfo
if _rc==0 {
	local doasproject=1
	local pdir "`r(pdir)'"						  	    // the project's main dir.
	local dofile "`r(dofile)'"						    // do-file's stub name
  local sig {bind:{hi:[RP : `dofile'.do]}}	// a signature in notes

  project, original("`pdir'/subroutines/project_includesubroutines.do")
  project, original("`pdir'/learningmodels/learningmodel_tenure.do")
  project, uses("`pdir'/scratch/drawsamp.dta")
}
else {
	local doasproject=0
	local pdir "~/projects/performancepay/project"
  local dofile "vary_frtenured"
	local sig "Not run as part of project!"
	
}
run `pdir'/subroutines/project_includesubroutines.do
run `pdir'/learningmodels/learningmodel_tenure.do
local thisdir "`pdir'/varycontracts"

#delimit;


*Set parameters that will be used for all calls by this program;
 local tableout0 `"`thisdir'/`dofile'_0_table.txt"';
 local tableout1 `"`thisdir'/`dofile'_1_table.txt"';
 local tableout2 `"`thisdir'/`dofile'_2_table.txt"';
 local tableoutextra `"`thisdir'/`dofile'_extra_table.txt"';
 local parms0 `"ctype("tenure") elast_entry(1) elast_exit(1) fireeffect("(-0.01*min(exper,10))") h(0.1) crra(0) crra_type("none")"';
 local parms1 `"ctype("tenure") elast_entry(0.50) elast_exit(0.5) fireeffect("-0.15") h(0.05) crra(3) crra_type("cashinhand") "';
 local parms2 `"ctype("tenure") elast_entry(1.5) elast_exit(1.5) fireeffect("(-0.01*min(exper,5))") h(0.25) crra(0) crra_type("none")"';
 local simulparms `"gridpts(149) simulobs(200000) criteria(totcost) searchwage store tol(0.00005)"';

 *local simulparms `"gridpts(99) simulobs(100000) criteria(totcost) searchwage store tol(0.001)"';

*Make a matrix of fr tenured / starting wage;
 matrix ftenured0=(
           1 ,     0.400,   1.555057525634765625,         0 \ 
           1 ,     0.425,   1.509223818778991699,         0 \ 
           1 ,     0.450,   1.467268109321594238,         0 \ 
           1 ,     0.475,   1.429159998893737793,         0 \ 
           1 ,     0.500,   1.393770456314086914,         0 \ 
           1 ,     0.525,   1.361187219619750977,         0 \ 
           1 ,     0.550,   1.330480575561523438,         0 \ 
           1 ,     0.575,   1.30172419548034668 ,         0 \ 
           1 ,     0.600,   1.275397896766662598,         0 \ 
           1 ,     0.625,   1.250314831733703613,         0 \ 
           1 ,     0.650,   1.227231860160827637,         0 \ 
           1 ,     0.675,   1.205254316329956055,         0 \ 
           1 ,     0.700,   1.184569120407104492,         0 \ 
           1 ,     0.725,   1.164860248565673828,         0 \ 
           1 ,     0.750,   1.14621579647064209 ,         0 \ 
           1 ,     0.775,   1.128309726715087891,         0 \ 
           1 ,     0.800,   1.111467123031616211,         0 \ 
           1 ,     0.825,   1.095343112945556641,         0 \ 
           1 ,     0.850,   1.079906702041625977,         0 \ 
           1 ,     0.875,   1.065183401107788086,         0 \ 
           1 ,     0.900,   1.0507965087890625  ,         0 \ 
           1 ,     0.925,   1.037110447883605957,         0 \ 
           1 ,     0.950,   1.023944497108459473,         0 \ 
           1 ,     0.975,   1.011757016181945801,         0 \ 
           2 ,     0.400,   1.500638723373413086,         0 \ 
           2 ,     0.425,   1.461103677749633789,         0 \ 
           2 ,     0.450,   1.424480795860290527,         0 \ 
           2 ,     0.475,   1.390951037406921387,         0 \ 
           2 ,     0.500,   1.359440088272094727,         0 \ 
           2 ,     0.525,   1.33000648021697998 ,         0 \ 
           2 ,     0.550,   1.302596211433410645,         0 \ 
           2 ,     0.575,   1.277066826820373535,         0 \ 
           2 ,     0.600,   1.253407716751098633,         0 \ 
           2 ,     0.625,   1.23132026195526123 ,         0 \ 
           2 ,     0.650,   1.210147261619567871,         0 \ 
           2 ,     0.675,   1.190201997756958008,         0 \ 
           2 ,     0.700,   1.171162128448486328,         0 \ 
           2 ,     0.725,   1.152815699577331543,         0 \ 
           2 ,     0.750,   1.135938048362731934,         0 \ 
           2 ,     0.775,   1.119426250457763672,         0 \ 
           2 ,     0.800,   1.103811979293823242,         0 \ 
           2 ,     0.825,   1.088742852210998535,         0 \ 
           2 ,     0.850,   1.074536442756652832,         0 \ 
           2 ,     0.875,   1.061118841171264648,         0 \ 
           2 ,     0.900,   1.047912716865539551,         0 \ 
           2 ,     0.925,   1.035042762756347656,         0 \ 
           2 ,     0.950,   1.022870421409606934,         0 \ 
           2 ,     0.975,   1.011005640029907227,         0 \ 
           3 ,     0.400,   1.452610611915588379,         0 \ 
           3 ,     0.425,   1.418727636337280273,         0 \ 
           3 ,     0.450,   1.386654138565063477,         0 \ 
           3 ,     0.475,   1.356642007827758789,         0 \ 
           3 ,     0.500,   1.328722834587097168,         0 \ 
           3 ,     0.525,   1.303009748458862305,         0 \ 
           3 ,     0.550,   1.278680205345153809,         0 \ 
           3 ,     0.575,   1.256128549575805664,         0 \ 
           3 ,     0.600,   1.234215021133422852,         0 \ 
           3 ,     0.625,   1.213803887367248535,         0 \ 
           3 ,     0.650,   1.194239497184753418,         0 \ 
           3 ,     0.675,   1.175922393798828125,         0 \ 
           3 ,     0.700,   1.158614873886108398,         0 \ 
           3 ,     0.725,   1.141891956329345703,         0 \ 
           3 ,     0.750,   1.126277685165405273,         0 \ 
           3 ,     0.775,   1.111181974411010742,         0 \ 
           3 ,     0.800,   1.096946120262145996,         0 \ 
           3 ,     0.825,   1.082937479019165039,         0 \ 
           3 ,     0.850,   1.069517254829406738,         0 \ 
           3 ,     0.875,   1.056851387023925781,         0 \ 
           3 ,     0.900,   1.044760823249816895,         0 \ 
           3 ,     0.925,   1.032912731170654297,         0 \ 
           3 ,     0.950,   1.021323084831237793,         0 \ 
           3 ,     0.975,   1.010334253311157227,         0 \ 
           4 ,     0.400,   1.410556435585021973,         0 \ 
           4 ,     0.425,   1.380265712738037109,         0 \ 
           4 ,     0.450,   1.351772546768188477,         0 \ 
           4 ,     0.475,   1.325346469879150391,         0 \ 
           4 ,     0.500,   1.30054783821105957 ,         0 \ 
           4 ,     0.525,   1.277330636978149414,         0 \ 
           4 ,     0.550,   1.255357027053833008,         0 \ 
           4 ,     0.575,   1.234932661056518555,         0 \ 
           4 ,     0.600,   1.215559601783752441,         0 \ 
           4 ,     0.625,   1.197098970413208008,         0 \ 
           4 ,     0.650,   1.179440855979919434,         0 \ 
           4 ,     0.675,   1.162917971611022949,         0 \ 
           4 ,     0.700,   1.147217154502868652,         0 \ 
           4 ,     0.725,   1.131757616996765137,         0 \ 
           4 ,     0.750,   1.117353677749633789,         0 \ 
           4 ,     0.775,   1.103611230850219727,         0 \ 
           4 ,     0.800,   1.090332627296447754,         0 \ 
           4 ,     0.825,   1.077584385871887207,         0 \ 
           4 ,     0.850,   1.065340280532836914,         0 \ 
           4 ,     0.875,   1.05339658260345459 ,         0 \ 
           4 ,     0.900,   1.041694998741149902,         0 \ 
           4 ,     0.925,   1.030721545219421387,         0 \ 
           4 ,     0.950,   1.019950985908508301,         0 \ 
           4 ,     0.975,   1.009710311889648438,         0 \ 
           5 ,     0.400,   1.372323036193847656,         0 \ 
           5 ,     0.425,   1.345670580863952637,         0 \ 
           5 ,     0.450,   1.320829868316650391,         0 \ 
           5 ,     0.475,   1.297480106353759766,         0 \ 
           5 ,     0.500,   1.275398492813110352,         0 \ 
           5 ,     0.525,   1.254809021949768066,         0 \ 
           5 ,     0.550,   1.234830737113952637,         0 \ 
           5 ,     0.575,   1.216176509857177734,         0 \ 
           5 ,     0.600,   1.198626995086669922,         0 \ 
           5 ,     0.625,   1.181670069694519043,         0 \ 
           5 ,     0.650,   1.165860176086425781,         0 \ 
           5 ,     0.675,   1.150603175163269043,         0 \ 
           5 ,     0.700,   1.136204957962036133,         0 \ 
           5 ,     0.725,   1.122238636016845703,         0 \ 
           5 ,     0.750,   1.10883641242980957 ,         0 \ 
           5 ,     0.775,   1.096202492713928223,         0 \ 
           5 ,     0.800,   1.083979606628417969,         0 \ 
           5 ,     0.825,   1.072257041931152344,         0 \ 
           5 ,     0.850,   1.060644030570983887,         0 \ 
           5 ,     0.875,   1.049725055694580078,         0 \ 
           5 ,     0.900,   1.038905620574951172,         0 \ 
           5 ,     0.925,   1.028647780418395996,         0 \ 
           5 ,     0.950,   1.018558621406555176,         0 \ 
           5 ,     0.975,   1.00910186767578125 ,         0 );
 matrix ftenured1=(
           1,      0.400,   4.156907558441162109 , 1 \
           1,      0.425,   3.786724328994750977 , 1 \
           1,      0.450,   3.447377443313598633 , 1 \
           1,      0.475,   3.152232885360717773 , 1 \
           1,      0.500,   2.893851995468139648 , 1 \
           1,      0.525,   2.661546945571899414 , 1 \
           1,      0.550,   2.451754570007324219 , 1 \
           1,      0.575,   2.266360759735107422 , 1 \
           1,      0.600,   2.100469350814819336 , 1 \
           1,      0.625,   1.956114053726196289 , 1 \
           1,      0.650,   1.828279852867126465 , 1 \
           1,      0.675,   1.714267492294311523 , 1 \
           1,      0.700,   1.61265254020690918  , 1 \
           1,      0.725,   1.523943305015563965 , 1 \
           1,      0.750,   1.444851875305175781 , 1 \
           1,      0.775,   1.375321388244628906 , 1 \
           1,      0.800,   1.313104867935180664 , 1 \
           1,      0.825,   1.257478833198547363 , 1 \
           1,      0.850,    1.20812690258026123 , 1 \
           1,      0.875,    1.16346442699432373 , 1 \
           1,      0.900,   1.123268723487854004 , 1 \
           1,      0.925,   1.087192535400390625 , 1 \
           1,      0.950,    1.05445396900177002 , 1 \
           1,      0.975,   1.025574564933776855 , 1 \
           2,      0.400,   3.484261751174926758 , 1 \
           2,      0.425,   3.205684423446655273 , 1 \
           2,      0.450,   2.953938961029052734 , 1 \
           2,      0.475,   2.724114656448364258 , 1 \
           2,      0.500,   2.524107933044433594 , 1 \
           2,      0.525,   2.342791318893432617 , 1 \
           2,      0.550,   2.178764820098876953 , 1 \
           2,      0.575,   2.036034584045410156 , 1 \
           2,      0.600,   1.907742500305175781 , 1 \
           2,      0.625,   1.793069601058959961 , 1 \
           2,      0.650,   1.692011237144470215 , 1 \
           2,      0.675,   1.600988507270812988 , 1 \
           2,      0.700,   1.519682765007019043 , 1 \
           2,      0.725,   1.446211934089660645 , 1 \
           2,      0.750,   1.381418585777282715 , 1 \
           2,      0.775,   1.323838949203491211 , 1 \
           2,      0.800,   1.271242499351501465 , 1 \
           2,      0.825,   1.224415302276611328 , 1 \
           2,      0.850,   1.182775735855102539 , 1 \
           2,      0.875,   1.144830942153930664 , 1 \
           2,      0.900,   1.110202550888061523 , 1 \
           2,      0.925,   1.078219413757324219 , 1 \
           2,      0.950,   1.049371123313903809 , 1 \
           2,      0.975,    1.02319633960723877 , 1 \
           3,      0.400,   2.980690956115722656 , 1 \
           3,      0.425,    2.76677393913269043 , 1 \
           3,      0.450,   2.574265956878662109 , 1 \
           3,      0.475,    2.39972233772277832 , 1 \
           3,      0.500,   2.243078231811523438 , 1 \
           3,      0.525,   2.100370883941650391 , 1 \
           3,      0.550,   1.975374579429626465 , 1 \
           3,      0.575,   1.862505793571472168 , 1 \
           3,      0.600,   1.759893417358398438 , 1 \
           3,      0.625,   1.66626441478729248  , 1 \
           3,      0.650,    1.58342278003692627 , 1 \
           3,      0.675,   1.509442687034606934 , 1 \
           3,      0.700,   1.443215131759643555 , 1 \
           3,      0.725,   1.382832884788513184 , 1 \
           3,      0.750,    1.32872307300567627 , 1 \
           3,      0.775,   1.280893445014953613 , 1 \
           3,      0.800,    1.23714447021484375 , 1 \
           3,      0.825,   1.197179794311523438 , 1 \
           3,      0.850,   1.160714507102966309 , 1 \
           3,      0.875,   1.127950787544250488 , 1 \
           3,      0.900,    1.09804534912109375 , 1 \
           3,      0.925,   1.069831252098083496 , 1 \
           3,      0.950,   1.044339656829833984 , 1 \
           3,      0.975,   1.020959019660949707 , 1 \
           4,      0.400,   2.592326164245605469 , 1 \
           4,      0.425,   2.428490400314331055 , 1 \
           4,      0.450,   2.277977228164672852 , 1 \
           4,      0.475,   2.14229893684387207  , 1 \
           4,      0.500,   2.018817424774169922 , 1 \
           4,      0.525,   1.907866120338439941 , 1 \
           4,      0.550,   1.807768344879150391 , 1 \
           4,      0.575,   1.717631697654724121 , 1 \
           4,      0.600,   1.635241389274597168 , 1 \
           4,      0.625,   1.561364173889160156 , 1 \
           4,      0.650,   1.494953274726867676 , 1 \
           4,      0.675,   1.435279011726379395 , 1 \
           4,      0.700,   1.380074977874755859 , 1 \
           4,      0.725,   1.330985903739929199 , 1 \
           4,      0.750,   1.285948872566223145 , 1 \
           4,      0.775,   1.245516538619995117 , 1 \
           4,      0.800,   1.208475470542907715 , 1 \
           4,      0.825,   1.174215912818908691 , 1 \
           4,      0.850,   1.142895698547363281 , 1 \
           4,      0.875,   1.113875150680541992 , 1 \
           4,      0.900,   1.086974740028381348 , 1 \
           4,      0.925,   1.062642455101013184 , 1 \
           4,      0.950,   1.039905905723571777 , 1 \
           4,      0.975,   1.019019365310668945 , 1 \
           5,      0.400,   2.290041685104370117 , 1 \
           5,      0.425,   2.162698984146118164 , 1 \
           5,      0.450,   2.046358585357666016 , 1 \
           5,      0.475,   1.941299796104431152 , 1 \
           5,      0.500,   1.844905734062194824 , 1 \
           5,      0.525,   1.756917357444763184 , 1 \
           5,      0.550,    1.67608189582824707 , 1 \
           5,      0.575,   1.603794455528259277 , 1 \
           5,      0.600,   1.537693142890930176 , 1 \
           5,      0.625,   1.477828860282897949 , 1 \
           5,      0.650,   1.422894954681396484 , 1 \
           5,      0.675,   1.373780608177185059 , 1 \
           5,      0.700,   1.327745914459228516 , 1 \
           5,      0.725,   1.287090539932250977 , 1 \
           5,      0.750,   1.248952865600585938 , 1 \
           5,      0.775,   1.214611530303955078 , 1 \
           5,      0.800,   1.183300495147705078 , 1 \
           5,      0.825,   1.153743147850036621 , 1 \
           5,      0.850,   1.126789212226867676 , 1 \
           5,      0.875,   1.101210355758666992 , 1 \
           5,      0.900,   1.077867388725280762 , 1 \
           5,      0.925,   1.056045651435852051 , 1 \
           5,      0.950,   1.035929203033447266 , 1 \
           5,      0.975,   1.017192363739013672 , 1 ); 

 matrix ftenured2=(
           1 ,     0.400,   1.389290809631347656  ,         2 \ 
           1 ,     0.425,   1.357076644897460938  ,         2 \ 
           1 ,     0.450,   1.328319072723388672  ,         2 \ 
           1 ,     0.475,   1.302002072334289551  ,         2 \ 
           1 ,     0.500,   1.277079939842224121  ,         2 \ 
           1 ,     0.525,   1.254706144332885742  ,         2 \ 
           1 ,     0.550,   1.233426690101623535  ,         2 \ 
           1 ,     0.575,   1.213317155838012695  ,         2 \ 
           1 ,     0.600,   1.194729924201965332  ,         2 \ 
           1 ,     0.625,   1.177440762519836426  ,         2 \ 
           1 ,     0.650,   1.160859227180480957  ,         2 \ 
           1 ,     0.675,   1.145462989807128906  ,         2 \ 
           1 ,     0.700,   1.130771636962890625  ,         2 \ 
           1 ,     0.725,   1.117000818252563477  ,         2 \ 
           1 ,     0.750,   1.103695511817932129  ,         2 \ 
           1 ,     0.775,   1.091034293174743652  ,         2 \ 
           1 ,     0.800,   1.079150795936584473  ,         2 \ 
           1 ,     0.825,   1.06768345832824707   ,         2 \ 
           1 ,     0.850,   1.056601405143737793  ,         2 \ 
           1 ,     0.875,   1.046335697174072266  ,         2 \ 
           1 ,     0.900,   1.036197423934936523  ,         2 \ 
           1 ,     0.925,   1.026480674743652344  ,         2 \ 
           1 ,     0.950,   1.017161369323730469  ,         2 \ 
           1 ,     0.975,   1.008417844772338867  ,         2 \ 
           2 ,     0.400,   1.352096796035766602  ,         2 \ 
           2 ,     0.425,   1.324222207069396973  ,         2 \ 
           2 ,     0.450,   1.298921823501586914  ,         2 \ 
           2 ,     0.475,   1.275450825691223145  ,         2 \ 
           2 ,     0.500,   1.253585100173950195  ,         2 \ 
           2 ,     0.525,   1.233195781707763672  ,         2 \ 
           2 ,     0.550,   1.21426081657409668   ,         2 \ 
           2 ,     0.575,   1.196226239204406738  ,         2 \ 
           2 ,     0.600,   1.179751276969909668  ,         2 \ 
           2 ,     0.625,   1.16376960277557373   ,         2 \ 
           2 ,     0.650,   1.149042606353759766  ,         2 \ 
           2 ,     0.675,   1.134705185890197754  ,         2 \ 
           2 ,     0.700,   1.121518611907958984  ,         2 \ 
           2 ,     0.725,   1.10875248908996582   ,         2 \ 
           2 ,     0.750,   1.09643101692199707   ,         2 \ 
           2 ,     0.775,   1.085016965866088867  ,         2 \ 
           2 ,     0.800,   1.074144244194030762  ,         2 \ 
           2 ,     0.825,   1.063331246376037598  ,         2 \ 
           2 ,     0.850,   1.05314934253692627   ,         2 \ 
           2 ,     0.875,   1.043424725532531738  ,         2 \ 
           2 ,     0.900,   1.034086942672729492  ,         2 \ 
           2 ,     0.925,   1.025062084197998047  ,         2 \ 
           2 ,     0.950,   1.016459465026855469  ,         2 \ 
           2 ,     0.975,   1.007886290550231934  ,         2 \ 
           3 ,     0.400,   1.320110440254211426  ,         2 \ 
           3 ,     0.425,   1.295917272567749023  ,         2 \ 
           3 ,     0.450,   1.273166656494140625  ,         2 \ 
           3 ,     0.475,   1.252487421035766602  ,         2 \ 
           3 ,     0.500,   1.23317110538482666   ,         2 \ 
           3 ,     0.525,   1.21491539478302002   ,         2 \ 
           3 ,     0.550,   1.197952628135681152  ,         2 \ 
           3 ,     0.575,   1.181788444519042969  ,         2 \ 
           3 ,     0.600,   1.16681218147277832   ,         2 \ 
           3 ,     0.625,   1.152142882347106934  ,         2 \ 
           3 ,     0.650,   1.138190746307373047  ,         2 \ 
           3 ,     0.675,   1.125332355499267578  ,         2 \ 
           3 ,     0.700,     1.113109230995178223  ,         2 \ 
           3 ,     0.725,     1.101406693458557129  ,         2 \ 
           3 ,     0.750,     1.090246200561523438  ,         2 \ 
           3 ,     0.775,     1.079704999923706055  ,         2 \ 
           3 ,     0.800,     1.069528102874755859  ,         2 \ 
           3 ,     0.825,     1.059561014175415039  ,         2 \ 
           3 ,     0.850,     1.050024509429931641  ,         2 \ 
           3 ,     0.875,     1.040895700454711914  ,         2 \ 
           3 ,     0.900,     1.032089591026306152  ,         2 \ 
           3 ,     0.925,     1.023476958274841309  ,         2 \ 
           3 ,     0.950,     1.015342593193054199  ,         2 \ 
           3 ,     0.975,     1.00748133659362793   ,         2 \ 
           4 ,     0.400,     1.292096972465515137  ,         2 \ 
           4 ,     0.425,     1.270606637001037598  ,         2 \ 
           4 ,     0.450,     1.250656247138977051  ,         2 \ 
           4 ,     0.475,     1.231516838073730469  ,         2 \ 
           4 ,     0.500,     1.214280366897583008  ,         2 \ 
           4 ,     0.525,     1.197742581367492676  ,         2 \ 
           4 ,     0.550,     1.182262659072875977  ,         2 \ 
           4 ,     0.575,     1.167665958404541016  ,         2 \ 
           4 ,     0.600,     1.153940677642822266  ,         2 \ 
           4 ,     0.625,     1.140840768814086914  ,         2 \ 
           4 ,     0.650,     1.128443241119384766  ,         2 \ 
           4 ,     0.675,     1.11665654182434082   ,         2 \ 
           4 ,     0.700,     1.10550224781036377   ,         2 \ 
           4 ,     0.725,     1.094847917556762695  ,         2 \ 
           4 ,     0.750,     1.084537744522094727  ,         2 \ 
           4 ,     0.775,     1.074653029441833496  ,         2 \ 
           4 ,     0.800,     1.064866423606872559  ,         2 \ 
           4 ,     0.825,     1.055688261985778809  ,         2 \ 
           4 ,     0.850,     1.046917319297790527  ,         2 \ 
           4 ,     0.875,     1.038381576538085938  ,         2 \ 
           4 ,     0.900,     1.030042171478271484  ,         2 \ 
           4 ,     0.925,     1.022107958793640137  ,         2 \ 
           4 ,     0.950,     1.014418125152587891  ,         2 \ 
           4 ,     0.975,     1.006998062133789062  ,         2 \ 
           5 ,     0.400,     1.259953856468200684  ,         2 \ 
           5 ,     0.425,     1.241261482238769531  ,         2 \ 
           5 ,     0.450,     1.22391974925994873   ,         2 \ 
           5 ,     0.475,     1.207504749298095703  ,         2 \ 
           5 ,     0.500,     1.192358732223510742  ,         2 \ 
           5 ,     0.525,     1.177520275115966797  ,         2 \ 
           5 ,     0.550,     1.164020538330078125  ,         2 \ 
           5 ,     0.575,     1.151061058044433594  ,         2 \ 
           5 ,     0.600,     1.138836383819580078  ,         2 \ 
           5 ,     0.625,     1.127353191375732422  ,         2 \ 
           5 ,     0.650,     1.116197943687438965  ,         2 \ 
           5 ,     0.675,     1.105528593063354492  ,         2 \ 
           5 ,     0.700,     1.095582485198974609  ,         2 \ 
           5 ,     0.725,     1.085841894149780273  ,         2 \ 
           5 ,     0.750,     1.076344966888427734  ,         2 \ 
           5 ,     0.775,     1.067568659782409668  ,         2 \ 
           5 ,     0.800,     1.059012293815612793  ,         2 \ 
           5 ,     0.825,     1.050581693649291992  ,         2 \ 
           5 ,     0.850,     1.042673587799072266  ,         2 \ 
           5 ,     0.875,     1.034796357154846191  ,         2 \ 
           5 ,     0.900,     1.02740168571472168   ,         2 \ 
           5 ,     0.925,     1.020200490951538086  ,         2 \ 
           5 ,     0.950,     1.013038992881774902  ,         2 \ 
           5 ,     0.975,     1.006428122520446777  ,         2 );
*matrix ftenured=ftenuredA \ ftenuredB \ ftenuredC;
*matrix ftenured=ftenuredC;
matrix colnames ftenured0 = tenuredate frtenured startwage parmset;
matrix colnames ftenured1 = tenuredate frtenured startwage parmset;
matrix colnames ftenured2 = tenuredate frtenured startwage parmset;

matrix extraftenured=(
           3 ,     0.56,    1.2695850133895874,         0 \ 
           3 ,     0.57,   1.26064503192901611,         0 \ 
           3 ,     0.58,   1.25168001651763916,         0 \ 
           3 ,     0.59,   1.24291348457336426,         0 \ 
           3 ,     0.61,    1.2260744571685791,         0 \ 
           3 ,     0.62,   1.21785879135131836,         0 \ 
           4 ,     0.82,   1.180898547172546387,        1 \  
           4 ,     0.83,   1.167903661727905273,        1 \  
           4 ,     0.84,   1.155059695243835449,        1 \  
           4 ,     0.86,   1.131194472312927246,        1 \  
           4 ,     0.87,   1.119509339332580566,        1 \  
           4 ,     0.88,   1.108422756195068359,        1 \  
           5 ,     0.82,   1.159427762031555176,        1 \  
           5 ,     0.83,    1.14820098876953125,        1 \  
           5 ,     0.84,   1.137512564659118652,        1 \  
           5 ,     0.86,   1.116453051567077637,        1 \  
           5 ,     0.87,   1.106223106384277344,        1 \  
           5 ,     0.88,   1.096459269523620605,        1 \ 
           2 ,     0.35,   1.415872573852539062 ,         2 \ 
           2 ,     0.36,   1.40202796459197998  ,         2 \ 
           2 ,     0.37,   1.38876819610595703  ,         2 \ 
           2 ,     0.375,  1.38238131999969482  ,         2 \ 
           2 ,     0.38,   1.37623977661132813  ,         2 \ 
           2 ,     0.39,   1.364043116569519043 ,         2 \ 
           2 ,     0.41,   1.340592026710510254 ,         2 \ 
           2 ,     0.42,   1.32951414585113525  ,         2 \ 
           2 ,     0.43,   1.31918692588806152  ,         2 \ 
           2 ,     0.44,   1.308934926986694336 ,         2 \ 
           2 ,     0.46,   1.289409518241882324 ,         2 \ 
           2 ,     0.47,   1.28015315532684326  ,         2 \ 
           2 ,     0.48,    1.2710871696472168  ,         2 \ 
           3 ,     0.35,   1.37550139427185059  ,         2 \ 
           3 ,     0.36,   1.36363112926483154  ,         2 \ 
           3 ,     0.37,   1.35217702388763428  ,         2 \ 
           3 ,     0.375,  1.34665882587432861  ,         2 \ 
           3 ,     0.38,   1.34123349189758301  ,         2 \ 
           3 ,     0.39,   1.330342531204223633 ,         2 \ 
           3 ,     0.41,   1.310030937194824219 ,         2 \ 
           3 ,     0.42,   1.30052804946899414  ,         2 \ 
           3 ,     0.43,   1.29130375385284424  ,         2 \ 
           3 ,     0.44,   1.281978726387023926 ,         2 \ 
           3 ,     0.46,   1.264640092849731445 ,         2 \ 
           3 ,     0.47,   1.25641739368438721  ,         2 \ 
           3 ,     0.48,   1.24849843978881836  ,         2 );

matrix extraftenured2=(
           2, 0.38,  1.53519129753112793, 0 \
           2, 0.36, 1.572917938232421875, 0 \
           2, 0.34, 1.613535165786743164, 0 \
           2, 0.32, 1.657126426696777344, 0 \
           2, 0.30, 1.706283211708068848, 0 \
           2, 0.28, 1.759638309478759766, 0 \
           2, 0.26, 1.818604946136474609, 0 \
           2, 0.24, 1.884546995162963867, 0 \
           2, 0.22,  1.95944511890411377, 0 \
           2, 0.20,  2.04264068603515625, 0 \
           2, 0.34, 1.430227994918823242, 2 \
           2, 0.33, 1.445157527923583984, 2 \
           2, 0.32, 1.461401224136352539, 2 \
           2, 0.31, 1.477923035621643066, 2 \
           2, 0.30, 1.494595170021057129, 2 \
           2, 0.29, 1.512515664100646973, 2 \
           2, 0.28, 1.531354904174804688, 2 \
           2, 0.27, 1.550951242446899414, 2 \
           2, 0.26, 1.572233080863952637, 2 \
           2, 0.25, 1.595187187194824219, 2 \
           2, 0.24, 1.618624091148376465, 2 \
           2, 0.23,  1.64348137378692627, 2 \
           2, 0.22, 1.670805692672729492, 2 \
           2, 0.21, 1.699280381202697754, 2 \
           2, 0.20, 1.730221152305603027, 2 )
           ;
matrix extraftenured=extraftenured \ extraftenured2;           
matrix colnames extraftenured = tenuredate frtenured startwage parmset;

*Prepare the sample that will be used throughout;
 tempfile samp0 samp1 samp2;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms0' `simulparms';
 save `samp0', ;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms1' `simulparms';
 save `samp1', ;
 sub_makesamp, basesamp(`pdir'/scratch/drawsamp) `parms2' `simulparms';
 save `samp2', ;


*Loop over models.  Because we do so many here, loop over parmsets and then models;
 foreach p in 0 1 2 {;
 	 local j=rowsof(ftenured`p');
 	 estimates clear;
   forvalues m=1/`j' {;
 	   local d=el(ftenured`p', `m', 1);
 	   local b=el(ftenured`p', `m', 2);
 	   local w=el(ftenured`p', `m', 3);
 	   local p2=el(ftenured`p', `m', 4);
 	   if `p'~=`p2' di "ERROR:  PARM SETS NOT ALIGNED";
 	   runmodel using `samp`p'', name("model`p'_`d'_`m'") frtenured(`b') startwage(`w') tenuredate(`d') `parms`p'' `simulparms' ;
     matrix oneresult=e(b)';
     matrix colnames oneresult="model`p'_`d'_`m'";
     if `m'==1 matrix results=e(b)';
     else matrix results = results, e(b)';
     local modellist`p' "`modellist' model`p'_`d'_`m'";
     esttab `modellist`p'' using `tableout`p'', replace not plain;

     matrix allresults=ftenured`p'[1..`m', 1..4]' \ results;
     matrix list allresults;   
     matrix results2data=allresults';
     drop _all;
     set obs `m';
     svmat results2data, names(eqcol);
     save `thisdir'/tmp_`dofile'_`p'.dta, replace;
   };
 };
*/

*Now do again for the extra models;
 local j=rowsof(extraftenured);
 forvalues m=1/`j' {;
 	   local d=el(extraftenured, `m', 1);
 	   local b=el(extraftenured, `m', 2);
 	   local w=el(extraftenured, `m', 3);
 	   local p=el(extraftenured, `m', 4);
 	   runmodel using `samp`p'', name("model`p'_`d'_`m'") frtenured(`b') startwage(`w') tenuredate(`d') `parms`p'' `simulparms' ;
   matrix oneresult=e(b)';
   matrix colnames oneresult="model`p'_`d'_`m'";
   matrix extraresults = nullmat(extraresults), e(b)';
   local modellist "`modellist' model`p'_`d'_`m'";
   esttab `modellist' using `tableoutextra', replace not plain;
   matrix header=nullmat(header) , extraftenured[`m',1..4]';
   matrix allextraresults=header \ extraresults;
   matrix list allextraresults;   
   matrix extraresults2data=allextraresults';
   drop _all;
   set obs `m';
   svmat extraresults2data, names(eqcol);
   save `thisdir'/tmp_`dofile'_extra.dta, replace;
 };
 
 use `thisdir'/tmp_`dofile'_0.dta;
 append using `thisdir'/tmp_`dofile'_1.dta;
 append using `thisdir'/tmp_`dofile'_2.dta;
 append using `thisdir'/tmp_`dofile'_extra.dta;
 sort _parmset _tenuredate _frtenured;
 save `thisdir'/`dofile'.dta, replace;
 
 if "`sig'"~="" note: "`sig'";
 save `thisdir'/`dofile'.dta, replace;
 !\rm `thisdir'/tmp_`dofile'_0.dta;                                                                     
 !\rm `thisdir'/tmp_`dofile'_1.dta;                                                                     
 !\rm `thisdir'/tmp_`dofile'_2.dta;                                                                     
 !\rm `thisdir'/tmp_`dofile'_extra.dta;                                                                     
 gen dnteach=ln(policynteach/basenteach);
 list _parmset _tenuredate _frtenured _startwage policybasewage policyproductivity_mean dnteach policyiterations;

if `doasproject'==1 {;
	project, creates("`tableout0'");                                                
	project, creates("`tableout1'");                                                
	project, creates("`tableout2'");                                                
	project, creates("`tableoutextra'");                                                
  project, creates("`thisdir'/`dofile'.dta");                                       
};
